
Katello - Bug #6165

Content View will not display all the repositories on repository add menu

06/11/2014 01:21 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1108156 Red Hat JIRA:  

Pull request:    

Description

Description of problem:

When I attempt to look for repositories to add, I can only see 16 of the 40+ repositories known to Katello. The UI seems to glitch out

as I continue to add repositories to the content view.

Version-Release number of selected component (if applicable):

1.5.0-14.201406101627git8fd5341.el6

How reproducible:

Very

Steps to Reproduce:

1. Create more than 16 repositories in Katello.

2. Create a Content View

3. Verify all the repositories are visible under the Repository Add Menu under the newly created content view. You will be unable to

see more than 16.

Actual results:

Only capable of viewing the first 16 repositories

Expected results:

Should be able to view all the repositories available.

Additional info:

Associated revisions

Revision ee1e30d8 - 06/20/2014 07:35 AM - Eric Helms

Fixes #6165: Ensure all repositories loaded on content view repository lists.

Revision 15a38709 - 06/20/2014 10:23 AM - Eric Helms

Merge pull request #4315 from ehelms/fixes-6165

Fixes #6165: Ensure all repositories loaded on content view repository l...

Revision 284e95bf - 06/20/2014 11:35 AM - Eric Helms

Fixes #6165: Ensure all repositories loaded on content view repository lists.

Revision d6d4bf93 - 06/20/2014 02:23 PM - Eric Helms

Merge pull request #4315 from ehelms/fixes-6165

Fixes #6165: Ensure all repositories loaded on content view repository l...

History

#1 - 06/11/2014 01:22 PM - Justin Sherrill
need to add once you exceed 24 entries on the Content View's list menu it seems to behave the same.

#2 - 06/11/2014 01:22 PM - Justin Sherrill

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1108156

#3 - 06/11/2014 07:44 PM - Eric Helms

- Assignee set to Justin Sherrill

- Target version set to 45

- Triaged changed from No to Yes

#4 - 06/16/2014 12:03 PM - Eric Helms

- Target version changed from 45 to 48

#5 - 06/20/2014 02:52 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:284e95bfca6154c21442caa65729fecf584a5c35.

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

http://www.tcpdf.org

